# Configuration variables for ldap operation
# Comments must be on separate lines
# Format is 'name=value'

## LDAP CONFIG ##

# hostname of the LDAP
edu.vt.middleware.ldap.ldapUrl=ldap://ldap-test-1.middleware.vt.edu:10389

# base dn for performing user lookups
edu.vt.middleware.ldap.baseDn=ou=test,dc=vt,dc=edu

# bind DN if one is required to bind before searching
edu.vt.middleware.ldap.bindDn=uid=1,ou=test,dc=vt,dc=edu

# credential for the bind DN
edu.vt.middleware.ldap.bindCredential=VKSxXwlU7YssGl1foLMH2mGMWkifbODb1djfJ4t2

# LDAP authentication mechanism
# default value is 'simple'
edu.vt.middleware.ldap.authtype=simple

# sets the batch size to use when returning results
# default value is '-1'
edu.vt.middleware.ldap.batchSize=10

# sets the search scope
# default value is 'SUBTREE'
edu.vt.middleware.ldap.searchScope=OBJECT

# sets the length of time that search operations will block
# default value is 0, block forever
edu.vt.middleware.ldap.timeLimit=5000

# set socket timeout low for testing
edu.vt.middleware.ldap.timeout=8000

# specifies additional attributes which should be treated as binary
# attribute names should be space delimited
edu.vt.middleware.ldap.binaryAttributes=jpegPhoto

# whether TLS should be used for LDAP connections
# default value is 'false'
edu.vt.middleware.ldap.tls=false

# search result handlers
edu.vt.middleware.ldap.searchResultHandlers=edu.vt.middleware.ldap.handler.RecursiveSearchResultHandler{{searchAttribute=member}{mergeAttributes=mail,department}},edu.vt.middleware.ldap.handler.MergeSearchResultHandler{{allowDuplicates=true}},edu.vt.middleware.ldap.handler.BinarySearchResultHandler{ },edu.vt.middleware.ldap.handler.EntryDnSearchResultHandler{{dnAttributeName=myDN}}

# exceptions to ignore when searching
edu.vt.middleware.ldap.handlerIgnoreExceptions=javax.naming.SizeLimitExceededException,javax.naming.PartialResultException
